uk.gov.hmrc.ct.ct600.v3

# B525

###
Related Docs: object B525 | package v3

#### case class B525(value: BigDecimal) extends CtBoxIdentifier with CtBigDecimal with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CtBigDecimal, CtValue[BigDecimal], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. B525
2. Serializable
3. Serializable
4. Product
5. Equals
6. CtBigDecimal
7. CtValue
8. CtBoxIdentifier
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new B525(value: BigDecimal)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def asInt: Option[Int]

   Definition Classes
     CtBigDecimal

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def id: String

    Definition Classes
      CtBoxIdentifier

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def isPositive: Boolean

    Definition Classes
      CtBigDecimal

14. #### def minus(other: CtOptionalBigDecimal): BigDecimal

    Definition Classes
      CtBigDecimal

15. #### def minus(other: BigDecimal): BigDecimal

    Definition Classes
      CtBigDecimal

16. #### def minus(other: CtBigDecimal): BigDecimal

    Definition Classes
      CtBigDecimal

17. #### def multiply(other: CtInteger): BigDecimal

    Definition Classes
      CtBigDecimal

18. #### def multiply(other: CtBigDecimal): BigDecimal

    Definition Classes
      CtBigDecimal

19. #### val name: String

    Definition Classes
      CtBoxIdentifier

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def plus(other: CtOptionalBigDecimal): BigDecimal

    Definition Classes
      CtBigDecimal

24. #### def plus(other: BigDecimal): BigDecimal

    Definition Classes
      CtBigDecimal

25. #### def plus(other: CtBigDecimal): BigDecimal

    Definition Classes
      CtBigDecimal

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### val value: BigDecimal

    Definition Classes
      B525 → CtValue

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CtBigDecimal

### Inherited from CtValue[BigDecimal]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped